Page through and search customers
1 min
GET
https://app.amberflo.io/customers/paging
Query Parameters
- limitinteger<int32>Description
- pageinteger<int32>Description
- isAscendingboolean
- sortstringDescription
- searchstringDescription
- enabledbooleanDescription
- idliststring[]Description
- lifecycleStagestringDescription
- deletedCustomersstringDescription
Responses
200
- metadata.customer.paging.CustomerPagingResponse.out
- metadatametadata.customer.paging.CustomerPagingMetadata.out
- limitinteger<int32>Description
- pageinteger<int32>Description
- isAscendingboolean
- sortstringDescription
- searchstringDescription
- enabledbooleanDescription
- idliststring[]Description
- lifecycleStagemetadata.customer.CustomerLifecycleStage.outDescription
- deletedCustomersmetadata.customer.paging.DeletedCustomers.outDescription
- totalRowCountinteger<int32>Description
- filteredRowCountinteger<int32>Description
- totalFilteredPagesinteger<int32>Description
- itemsmetadata.customer.CustomerDetails.out[]
- createTimeinteger<int64>Description
- updateTimeinteger<int64>Description
- deleteTimeinteger<int64>
- customerIdstringrequiredDescription
- customerNamestringrequiredDescription
- customerEmailstringDescription
- descriptionstringDescription
- enabledbooleanDescription
- testbooleanDescription
- lifecycleStagemetadata.customer.CustomerLifecycleStage.outDescription
- deactivateTimeStampinteger<int64>
- traitsmap<string, string>Description
- addressmetadata.customer.CustomerAddress.outDescription
- verifiedboolean
- line1stringrequired
- statestring
- citystringrequired
- postalCodestring
- countrystringrequired
curl
curl --request GET \
--url https://app.amberflo.io/customers/paging \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://app.amberflo.io/customers/paging", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://app.amberflo.io/customers/paging")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://app.amberflo.io/customers/paging"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Successful request
{
"metadata": {
"limit": "",
"page": "",
"isAscending": false,
"sort": "",
"search": "",
"enabled": false,
"idlist": [
""
],
"lifecycleStage": "",
"deletedCustomers": "",
"totalRowCount": "",
"filteredRowCount": "",
"totalFilteredPages": ""
},
"items": [
{
"createTime": "",
"updateTime": "",
"deleteTime": "",
"customerId": "",
"customerName": "",
"customerEmail": "",
"description": "",
"enabled": false,
"test": false,
"lifecycleStage": "",
"deactivateTimeStamp": "",
"traits": "",
"address": {
"verified": false,
"line1": "",
"state": "",
"city": "",
"postalCode": "",
"country": ""
}
}
]
}This endpoint allows you to page through the list of customers, filter, sort and search customers.
For more details, see Searching, Paging, and Sorting.